Subject: Re: [bug#45104] pull: Add a "with-substitutes" option.

From: zimoun <[email-masked]>
Date: Tue, 15 Dec 2020 13:51:17 +0100

Hi Mathieu,

On Tue, 15 Dec 2020 at 11:30, Mathieu Othacehe <[email-masked]> wrote:

> There's nothing blocking in what I'm proposing. "guix pull" first asks
> to the CI what's the latest commit with available substitutes for
> "guix", and then tries to update to that commit. If it results in a
> downgrade then, "guix pull" detects it.

Thanks for the explanation.

I have actually overlooked the code. Well, the proposal was what your
patch is doing somehow. :-)

Now, since I have played with “guix repl”, all is clear. ;-)

Aside, the option name ’--with-substitutes’ could be misleading.  Or
clearly state that it is substitutes for “guix”.

Cheers,
simon